Loading...
Searching...
No Matches
svn_version_t Struct Reference

Version information. More...

`#include <svn_version.h>`

## Data Fields

int | major
| Major version number.
int | minor
| Minor version number.
int | patch
| Patch number.
const char * | tag
| The version tag (SVN_VER_NUMTAG).

## Detailed Description

Version information.

Each library contains a function called svn_libname_version() that returns a pointer to a statically allocated object of this type.

Since
  New in 1.1.

Definition at line 147 of file svn_version.h.

## Field Documentation

## major

int svn_version_t::major

Major version number.

Definition at line 149 of file svn_version.h.

## minor

int svn_version_t::minor

Minor version number.

Definition at line 150 of file svn_version.h.

## patch

int svn_version_t::patch

Patch number.

Definition at line 151 of file svn_version.h.

## tag

const char* svn_version_t::tag

The version tag (SVN_VER_NUMTAG).

Must always point to a statically allocated string.

Definition at line 157 of file svn_version.h.

The documentation for this struct was generated from the following file:

- svn_version.h